mscorlib 2.0.0.0 4.0.0.0 System.Security.Cryptography.RIPEMD160 System.Runtime.InteropServices.ComVisible(true)

RIPEMD-160 is a 160-bit cryptographic hash function. It is intended for use as a secure replacement for the 128-bit hash functions MD4, MD5, and RIPEMD. RIPEMD was developed in the framework of the EU project RIPE (RACE Integrity Primitives Evaluation, 1988-1992).

has been superseded by the Secure Hash Algorithms SHA-256 and SHA-512 and their derived classes. and offer better security and performance than . Use only for compatibility with legacy applications and data.

Computes the hash for the input data using the managed library.

- Constructor
  2.0.0.0
  4.0.0.0

  The hash is used as a unique value of fixed size representing a large amount of data. Hashes of two sets of data should match if and only if the corresponding data also matches. Small changes to the data result in large unpredictable changes in the hash.

  The hash size for the algorithm is 160 bits.

  Initializes a new instance of the class.

- Method
  System.Void To be added. To be added. 2.0.0.0
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is not called by application code.

  This abstract method performs the hash computation. Every write to the cryptographic stream object passes the data through this method. For each block of data, this method updates the state of the hash object so a correct hash value is returned at the end of the data stream.

  When overridden in a derived class, routes data written to the object into the hash algorithm for computing the hash.

  The input data. The offset into the byte array from which to begin using data. The number of bytes in the array to use as data.
- Method
  2.0.0.0
  4.0.0.0
  System.Byte[]

  This method is not called by application code. This method finalizes any partial computation and returns the correct hash value of the data stream.

  When overridden in a derived class, finalizes the hash computation after the last data is processed by the cryptographic stream object.

  The computed hash code in a byte array.

- Method
  2.0.0.0
  4.0.0.0
  System.Void

  RIPEMD-160 is a 160-bit cryptographic hash function. It is intended for use as a secure replacement for the 128-bit hash functions MD4, MD5, and RIPEMD. RIPEMD was developed in the framework of the EU project RIPE (RACE Integrity Primitives Evaluation, 1988-1992).

  Initializes an instance of the class using the managed library.